Bug 1419901 - [Doc RFE] Document administrative guidelines and instructions (as determined) regarding how to set up CNS 3.5 volumes for geo-replication to a non-CNS remote site.
Summary: [Doc RFE] Document administrative guidelines and instructions (as determined)...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Container_Native_Storage_with_OpenShift
Version: cns-3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: CNS 3.5
Assignee: Divya
QA Contact: Apeksha
URL:
Whiteboard:
Depends On:
Blocks: 1415610
TreeView+ depends on / blocked
 
Reported: 2017-02-07 11:13 UTC by Anjana Suparna Sriram
Modified: 2017-11-17 05:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 05:19:21 UTC
Target Upstream Version:
divya: needinfo-


Attachments (Terms of Use)

Description Anjana Suparna Sriram 2017-02-07 11:13:07 UTC
Additional info: For example:  
- Open a port for ssh / rsync
- Configure the nodes for passwordless SSH access for the replication.
    - (from Humble) “ideally ssh port ( 2222) will be opened from container. We should have a mention about the port in the doc which we have opened. We can think about making it a configurable port by an env var, but need to revisit the possibilities from cns-deploy utility pov.”

Comment 4 Divya 2017-03-30 12:02:55 UTC
Prasanth,

According to the eng, this feature is test-only effort and the writer needs to co-ordinate with the QA for information.

Could you please let me know the information to be added on how to set up CNS 3.5 volumes for geo-replication to a non-CNS remote site?

If you are not the QA contact for this feature, could you move the need_info to the concerned QA engineer?

Thanks!

Comment 6 Humble Chirammal 2017-04-07 08:48:19 UTC
The only mention what we have to do here is, the ssh port which have opened in the gluster container is '2222'. Other than that we can just make use of our geo replication content as such. 

Apeksha, being you are the one who qualified this feature for CNS 3.5, do you want to add any extra details here ?

Comment 7 Apeksha 2017-04-07 08:56:24 UTC
We also need to open ports in range this -{49152..49251} using firewall cmd, to setup geo-rep session. Rest we can follow the RhGS doc to setup geo-rep, it all remains the same.

Comment 8 Humble Chirammal 2017-04-07 08:58:47 UTC
(In reply to Apeksha from comment #7)
> We also need to open ports in range this -{49152..49251} using firewall cmd,
> to setup geo-rep session. Rest we can follow the RhGS doc to setup geo-rep,
> it all remains the same.

Why are you opening just 100 ports here, iic, we atleast open 500 ports in gluster containers? Also how did you test geo replication ? Was the slave volume stayed in openshift cluster or outside openshift cluster?

Comment 9 Apeksha 2017-04-07 09:04:49 UTC
I was getting an error with respect to port 49152, so Raghvendra Talur suggested to open atleast 100 ports. These ports were opened on the RHGS nodes outside the openshift cluster.

Geo-rep setup:
The master volume on the openshift cluster, whereas the slave volume stayed outside the openshift cluster

Comment 10 Humble Chirammal 2017-04-07 09:07:06 UTC
(In reply to Apeksha from comment #9)
> I was getting an error with respect to port 49152, so Raghvendra Talur
> suggested to open atleast 100 ports. These ports were opened on the RHGS
> nodes outside the openshift cluster.

Well, we always say open atleast 500 ports: Check iptables command in the doc

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.1/html-single/container-native_storage_for_openshift_container_platform_3.4/


> 
> Geo-rep setup:
> The master volume on the openshift cluster, whereas the slave volume stayed
> outside the openshift cluster

Thanks for the clartifiaction. So, Divya can we carve out a guide based on this ?

Comment 11 Divya 2017-04-07 11:12:51 UTC
Thanks for the inputs Humble and Apeksha.

I will update the guide based on your inputs and reach out to you if required.

Comment 12 Divya 2017-04-11 09:11:51 UTC
(In reply to Apeksha from comment #7)
> We also need to open ports in range this -{49152..49251} using firewall cmd,
> to setup geo-rep session. Rest we can follow the RhGS doc to setup geo-rep,
> it all remains the same.

Humble, Apeksha,

According to our existing documentation, in the "3.2.3. Red Hat OpenShift Container Platform Requirements" section [1], we have already asked users to open ports 2222 and 49152-49664.

So, I don't think we need to add any special instructions for geo-replication. Could you please confirm if my understanding is correct? If yes, do we close this bug?

[1] http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.5-Container_Native_Storage_with_OpenShift_Platform-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#idm140643980091264


Note You need to log in before you can comment on or make changes to this bug.